1.39 for both games is now supported!

We are happy to announce support for Euro Truck Simulator 2 and American Truck Simulator 1.39 as well as the Colorado DLC!

Check our latest blog post for the full changelog: https://truckersmp.com/blog/231

Steam API issues

Steam API is currently reporting outdated information to our servers, therefore some users can not register in TruckersMP. As the issue is out of our reach, unfortunately, there is nothing we can do to resolve the problem.

If you are experiencing that, please try again later. Apologies for the inconvenience.

Featured

Newest